<template>
  <div class="orders-list-modality">
    <i :class="`icon ${this.typeIcon(data)}`"/>
  </div>
</template>

<script>
  const defaultTransportationWay = 'FTL'
  export default {
    name: "cargoType",
    props: {
      data: {
        type: Object,
        default: () => {}
      }
    },
    methods: {
      typeIcon({ transportationWay = defaultTransportationWay } = {}) {
        const iconMap = {
          FTL: 'truck-sm',
          CONTAINER: 'container-sm',
          RAIL: 'train-sm'
        }
        return iconMap[transportationWay]
      }
    }
  }
</script>

<style scoped lang="scss">
  .orders-list-modality {
    width: 90px;
    text-align: center;
    color: $blue-700;
  }
</style>